## ros-melodic-pacmod-msgs 3.0.1

=== CMakeLists.txt ===
project(pacmod_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "AccelAuxRpt.msg"
  "AllSystemStatuses.msg"
  "BrakeAuxRpt.msg"
  "ComponentRpt.msg"
  "DateTimeRpt.msg"
  "DetectedObjectRpt.msg"
  "DoorRpt.msg"
  "EngineRpt.msg"
  "GlobalRpt.msg"
  "HeadlightAuxRpt.msg"
  "InteriorLightsRpt.msg"
  "KeyValuePair.msg"
  "LatLonHeadingRpt.msg"
  "MotorRpt1.msg"
  "MotorRpt2.msg"
  "MotorRpt3.msg"
  "OccupancyRpt.msg"
  "PacmodCmd.msg"
  "ParkingBrakeStatusRpt.msg"
  "PositionWithSpeed.msg"
  "RearLightsRpt.msg"
  "ShiftAuxRpt.msg"
  "SteerAuxRpt.msg"
  "SteerSystemCmd.msg"
  "SteeringPIDRpt1.msg"
  "SteeringPIDRpt2.msg"
  "SteeringPIDRpt3.msg"
  "SteeringPIDRpt4.msg"
  "SystemCmdBool.msg"
  "SystemCmdFloat.msg"
  "SystemCmdInt.msg"
  "SystemRptBool.msg"
  "SystemRptFloat.msg"
  "SystemRptInt.msg"
  "TurnAuxRpt.msg"
  "VehicleDynamicsRpt.msg"
  "VehicleSpecificRpt1.msg"
  "VehicleSpeedRpt.msg"
  "VinRpt.msg"
  "WheelSpeedRpt.msg"
  "WiperAuxRpt.msg"
  "YawRateRpt.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(DEPENDENCIES std_msgs)

  catkin_package(
    CATKIN_DEPENDS message_runtime
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES builtin_interfaces std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-melodic-pacmod-msgs (3.0.1-1stretch) stretch; urgency=high

  * ROS1/ROS2 Hybrid: pacmod_msgs (#47 <https://github.com/astuff/astuff_sensor_msgs/issues/47>)
    * Hybridizing pacmod_msgs.
    * pacmod_msgs: Adding migration rules.
    * Hybridizing astuff_sensor_msgs package.
    * Adding ros_environment as required package to all packages.
  * Merge pull request #50 <https://github.com/astuff/astuff_sensor_msgs/issues/50> from astuff/maint/add_engine_rpt
    Adding Engine Report Message
  * Changing coolant temp from float to int16.
  * Maint/update shiftauxrpt (#49 <https://github.com/astuff/astuff_sensor_msgs/issues/49>)
    * Adding Gear Number Avail and Gear Number.
  * adding turn_hazards to PacmodCmd.msg (#48 <https://github.com/astuff/astuff_sensor_msgs/issues/48>)
  * Adding hybrid CI.
  * Updating package.xml files for ROS2 rosdep.
  * Adding message migration rules.
  * adding rear_pass_door (#38 <https://github.com/astuff/astuff_sensor_msgs/issues/38>)
    * adding rear_pass_door
  * Contributors: Joshua Whitley, Sanaz Fattahalhosseini, as-snehagn, mlemm99, snehagn

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 06:00:00 -0000

ros-melodic-pacmod-msgs (2.3.1-1stretch) stretch; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-melodic-pacmod-msgs (2.3.0-1stretch) stretch; urgency=high

  * PACMod: Add COMPONENT_RPT and CLEAR_FAULTS flag. (#28 <https://github.com/astuff/astuff_sensor_msgs/issues/28>)
  * Merge pull request #27 <https://github.com/astuff/astuff_sensor_msgs/issues/27> from astuff/fix/turn_signal_values
  * PACMod: Making message def. match DBC.
  * Contributors: Joshua Whitley, Zach Oakes

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-melodic-pacmod-msgs (2.2.2-1stretch) stretch; urgency=high

  * Merge pull request #24 <https://github.com/astuff/astuff_sensor_msgs/issues/24> from astuff/maint/add_none_shift_cmd
  * PACMod: Removing unused report values.
  * MKZ: Adding NONE value to shift states.
  * Contributors: Joshua Whitley, driscoll85

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-melodic-pacmod-msgs (2.2.1-1stretch) stretch; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

ros-melodic-pacmod-msgs (2.1.0-1stretch) stretch; urgency=high

  * Fixed typo in message definition for turn.
  * Added additional fault reporting to GlobalRpt.
  * Adding lots of enum values to SystemRptInt.
  * Adding more fault reporting to PACMod reports.
  * Added new messages to pacmod_msgs
  * Added clear_override flag to SteerSystemCmd.
  * Adding clear_override flag.
  * Adding specialized message for steering control.
  * Adding missing headers and new fields for invidual system control.
  * Updating package.xml to format 2.
  * Adding pacmod_msgs/VinRpt.
  * Standardizing package.xml files.
  * Change steering pid3 report
  * Initial commit.
  * Contributors: Daniel Stanek, Joe Driscoll, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 14 May 2018 05:00:00 -0000

## ros-melodic-pacmod-msgs 3.0.2

=== debian/changelog ===
ros-melodic-pacmod-msgs (3.0.2-1bionic) bionic; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 18 Jun 2020 04:00:00 -0000

ros-melodic-pacmod-msgs (3.0.1-1bionic) bionic; urgency=high

  * ROS1/ROS2 Hybrid: pacmod_msgs (#47 <https://github.com/astuff/astuff_sensor_msgs/issues/47>)
    * Hybridizing pacmod_msgs.
    * pacmod_msgs: Adding migration rules.
    * Hybridizing astuff_sensor_msgs package.
    * Adding ros_environment as required package to all packages.
  * Merge pull request #50 <https://github.com/astuff/astuff_sensor_msgs/issues/50> from astuff/maint/add_engine_rpt
    Adding Engine Report Message
  * Changing coolant temp from float to int16.
  * Maint/update shiftauxrpt (#49 <https://github.com/astuff/astuff_sensor_msgs/issues/49>)
    * Adding Gear Number Avail and Gear Number.
  * adding turn_hazards to PacmodCmd.msg (#48 <https://github.com/astuff/astuff_sensor_msgs/issues/48>)
  * Adding hybrid CI.
  * Updating package.xml files for ROS2 rosdep.
  * Adding message migration rules.
  * adding rear_pass_door (#38 <https://github.com/astuff/astuff_sensor_msgs/issues/38>)
    * adding rear_pass_door
  * Contributors: Joshua Whitley, Sanaz Fattahalhosseini, as-snehagn, mlemm99, snehagn

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 05:00:00 -0000

ros-melodic-pacmod-msgs (2.3.1-1bionic) bionic; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 05:00:00 -0000

ros-melodic-pacmod-msgs (2.3.0-1bionic) bionic; urgency=high

  * PACMod: Add COMPONENT_RPT and CLEAR_FAULTS flag. (#28 <https://github.com/astuff/astuff_sensor_msgs/issues/28>)
  * Merge pull request #27 <https://github.com/astuff/astuff_sensor_msgs/issues/27> from astuff/fix/turn_signal_values
  * PACMod: Making message def. match DBC.
  * Contributors: Joshua Whitley, Zach Oakes

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-melodic-pacmod-msgs (2.2.2-1bionic) bionic; urgency=high

  * Merge pull request #24 <https://github.com/astuff/astuff_sensor_msgs/issues/24> from astuff/maint/add_none_shift_cmd
  * PACMod: Removing unused report values.
  * MKZ: Adding NONE value to shift states.
  * Contributors: Joshua Whitley, driscoll85

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 04:00:00 -0000

ros-melodic-pacmod-msgs (2.2.1-1bionic) bionic; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 04:00:00 -0000

ros-melodic-pacmod-msgs (2.1.0-1bionic) bionic; urgency=high

  * Fixed typo in message definition for turn.
  * Added additional fault reporting to GlobalRpt.
  * Adding lots of enum values to SystemRptInt.
  * Adding more fault reporting to PACMod reports.
  * Added new messages to pacmod_msgs
  * Added clear_override flag to SteerSystemCmd.
  * Adding clear_override flag.
  * Adding specialized message for steering control.
  * Adding missing headers and new fields for invidual system control.
  * Updating package.xml to format 2.
  * Adding pacmod_msgs/VinRpt.
  * Standardizing package.xml files.
  * Change steering pid3 report
  * Initial commit.
  * Contributors: Daniel Stanek, Joe Driscoll, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 14 May 2018 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-pacmod-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-ros-environment, ros-melodic-rosbag-migration-rule, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/pacmod_msgs
Standards-Version: 3.9.2

Package: ros-melodic-pacmod-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rosbag-migration-rule, ros-melodic-std-msgs
Description: Message definition files for the PACMod driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pacmod-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
